/* spezielles Handling für die Kursuebersicht im FA Tool */
/* achtung: bei der Kursuebersicht im FA Tool wird js/kurstageuebersicht.js auch eingebunden */

   $(document).ready(readyHandler4FAToolKursList)

  function readyHandler4FAToolKursList() {
  
  //Das Div für den Filter, um den Zeitraum der dargestellten Kurse bei den
  //Kursen der Mitarbeiter einzuschränken, wird nachträglich in den Filter-Dialog geschoben
  var $filter_makurse = $('#filter_makurse');
  $filter_makurse.detach();
  $('#suchformDiv').prepend($filter_makurse);
  
  //Das Div mit den Mitarbeitern wird in sightdiv umgehängt.
  $('#main_content .content_zeile .firmenmitarbeiter_div').each(function(){
    var $sightdiv = $(this).parent().find('div.sightdiv');
    $(this).detach();
    $sightdiv.append($(this));
    if(KuferTools.isBLAK) {
      $(this).css('position','absolute').css('top','110px').css('width','790px');
    } else {
      $(this).css('position','absolute').css('top','110px').css('left','120px');
    }
    
  });
  
  //Bei Firmen ohne firmenmitarbeiter_div (z.B. weil alle Umgemeldet oder in der Warleliste sind)
  //wird das +-Symbol zum aufklappen der Mitarbeiter versteckt.
  $('img.firmenmitarbeiter_img').each(function(){
	var $sightdiv = $(this).parent().parent().find('div.sightdiv .firmenmitarbeiter_div');
	if($sightdiv.length == 0) {
      $(this).hide();
	}
  });
  
  
  //Die Höhe des Divs mit den Kursinformationen wird vergößert damit die angemeldeten Mitarbeiter
  //der Firma angezeigt werden.
  $('img.firmenmitarbeiter_img').click(function(){
    var $sightdiv = $(this).parent().parent().find('div.sightdiv');
    //Falls die Mitarbeiter bereits angezeigt werden sollen sie zugeklappt werden.
    if($(this).hasClass('open')) {
      $sightdiv.animate({height: '-='+(25 + $sightdiv.find('.firmenmitarbeiter_div').height())});
      $(this).prop('src','images/anmclose.gif');
      $(this).removeClass('open');
    }
    else {
      $sightdiv.animate({height: '+='+(25 + $sightdiv.find('.firmenmitarbeiter_div').height())});
      $(this).prop('src','images/anmopen.gif');
      $(this).addClass('open');
    }
  });
  
  //Die Höhe des Divs mit den Namen der Mitarbeiter wird vergrößert damit die anderen Kurse
  //des Teilnehmers angezeigt werden.
  $('img.tnkursefirma').click(function(){
    var $parentdiv = $(this).parent();
    var $sightdiv = $(this).parent().parent().parent();
  //Falls die Mitarbeiter bereits angezeigt werden sollen sie zugeklappt werden.
    if($(this).hasClass('open')) {
    	//Es muss auch das übergeordnete Div verkleinert werden
    	$parentdiv.add($sightdiv).animate({height: '-='+($parentdiv.find('.kurse_div').height())});
      $(this).prop('src','images/anmclose.gif');
      $(this).removeClass('open');
    }
    else {
    	//Es muss auch das übergeordnete Div vergrößert werden
    	$parentdiv.add($sightdiv).animate({height: '+='+($parentdiv.find('.kurse_div').height())});
      $(this).prop('src','images/anmopen.gif');
      $(this).addClass('open');
    }    
  });
  
  //Rückt die Kurse ein, bei denen kein 'bis dato belegt:' davor steht, damit die
  //Kurse untereinander stehen. Wird mit js statt reinem css realisiert, damit
  //der Text leicht geändert werden kann.
  $('.nobisdato').each(function(){
    $(this).css('margin-left',($('.weiterema').width() + 4) + 'px');
  });
  } // end readyHandler4FAToolKursList()